/*
 * ext.h - Communication infrastructure for the external interface
 *
 * Written 2001 by Werner Almesberger
 * Copyright 2001 Network Robots
 */


#ifndef EXT_H
#define EXT_H

#include <stdio.h>


/*
 * Usage:
 *
 * ext_open runs the external program and opens a stream for sending data to
 * the program.
 *
 * Once all data is sent, ext_read closes the stream, waits for the process
 * to terminate, opens the stream for reading the output generated by the
 * external program, and returns the exit status. (Or -1 if the process did
 * not exit normally.)
 *
 * ext_close can be called before or after ext_read to close the stream.
 */

FILE *ext_open(char **argv);
int ext_read(void);
void ext_close(void);

#endif /* EXT_H */
